//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		// ---------------------------------------------------------------
		class VWMarkerPopupCtrl : public VWControl
		{
		public:
							VWMarkerPopupCtrl(TControlID id);
			virtual			~VWMarkerPopupCtrl();

			virtual bool	CreateControl(VWDialog* pDlg);

		// attributes
		public:
			void			GetSelectedItem(SMarkerStyle& outValue) const;
			void			SetSelectedItem(const SMarkerStyle& value);

		};
	}
}